=== debian/changelog ===
qtwebengine-opensource-src (5.12.2+dfsg-2ubuntu1) disco; urgency=medium

  * Merge from Debian experimental, remaining change:
    - Disable parallel builds on arm64.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Mar 2019 23:43:43 +0300

qtwebengine-opensource-src (5.12.2+dfsg-2) experimental; urgency=medium

  * Bump Qt build-dependencies to 5.12.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Mar 2019 21:27:39 +0300

qtwebengine-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Files-Excluded and touch_files for upstream file moves.
  * Drop patches, applied upstream:
    - disable-last_commit_position.patch
    - fix-gcc-8-i386.patch
  * Refresh and rebase the remaining patches.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Temporarily build without system VPX. WebRTC requires a newer,
    unreleased, version of libvpx.
  * Update symbols files from the current build logs.
  * Remove ${shlibs:Depends} from libqt5webengine-data.
  * Update Lintian overrides, and remove some unused ones.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 22:47:50 +0300
